%global pypi_name cloudpickle

Summary:        Extended pickling support for Python objects
Name:           python-%{pypi_name}
Version:        2.2.1
Release:        5%{?dist}
License:        BSD
URL:            https://github.com/cloudpipe/cloudpickle
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools pytest tornado psutil}

BuildArch:      noarch

%description
cloudpickle makes it possible to serialize Python constructs not supported by the default pickle 
module from the Python standard library. It is useful for cluster computing where Python code is 
shipped over the network to execute on remote hosts, possibly close to the data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
cloudpickle makes it possible to serialize Python constructs not supported by the default pickle 
module from the Python standard library. It is useful for cluster computing where Python code is 
shipped over the network to execute on remote hosts, possibly close to the data.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info

# make tests pass in newer Python, see https://github.com/cloudpipe/cloudpickle/pull/475
sed -i "s/'beta', 2/'beta', 4/" tests/cloudpickle_test.py

%build
%py3_build

%install
%py3_install


%check
# test_temp_file in cloudpickle_file_test, see https://github.com/cloudpipe/cloudpickle/issues/114
# pytest no longer bundles py, see https://github.com/cloudpipe/cloudpickle/issues/487
PYTHONPATH=tests/cloudpickle_testpkg %{__python3} -m pytest -v -k "not file_handles and not test_dynamic_pytest_module"

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Wang Guodong <gordonwwang@tencent.com> - 2.2.1-1
- initial build
